%define gstapi 1.0
%define gir_api 0.1
%define oname nice
%define major 10
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d
%define girname %mklibname %{name}-gir %{gir_api}

Summary:	Implementation of the IETF's draft I.C.E standard
Name:		libnice
Version:	0.1.13
Release:	1
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
Url:		http://nice.freedesktop.org/wiki/
Source0:	http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{gstapi})
BuildRequires:	pkgconfig(gupnp-igd-1.0)

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer. It is used by Farsight for RTP
transport.

#----------------------------------------------------------------------------

%package utils
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-utils = %{EVRD}

%description utils
This package contains various tools from %{name}.

%files utils
%{_bindir}/s*
%{_bindir}/threaded-example

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Provides:	%{name} = %{EVRD}
Obsoletes:	%{_lib}nice1 < 0.1.1-4

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/libnice.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}

%description -n %{devname}
This package contains the header files, static libraries and development
documentation for %{oname}. If you like to develop programs using %{oname},
you will need to install %{oname}-devel.

%files -n %{devname}
%doc AUTHORS COPYING COPYING.LGPL COPYING.MPL NEWS README
%{_includedir}/%{oname}/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/gir-1.0/*

#----------------------------------------------------------------------------

%package -n gstreamer%{gstapi}-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
# conflict with older %%libname that had the gst .so, before the split
Conflicts:	%{_lib}nice0 < 0.1.0
Conflicts:	%{_lib}nice1 < 0.1.0
Obsoletes:	gstreamer0.10-%{oname} < 0.1.7

%description -n gstreamer%{gstapi}-%{oname}
Gstreamer elements from %{oname}.

%files -n gstreamer%{gstapi}-%{oname}
%{_libdir}/gstreamer-%{gstapi}/*.so

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/*typelib

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-gupnp \
	--disable-static

# disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

#% check
#disabled due fails
#make check


%changelog

* Tue Jan 12 2016 Denis Silakov <dsilakov@gmail.com> 0.1.13-1
- (f8e5688) Added git BR


